## typesafe_cb

typesafe_cb

## Functions

#define | typesafe_cb_cast()
#define | typesafe_cb_cast3()
#define | typesafe_cb()
#define | typesafe_cb_preargs()
#define | typesafe_cb_postargs()

## Description

## Functions

### typesafe_cb_cast()

    #define             typesafe_cb_cast(desttype, oktype, expr)

### typesafe_cb_cast3()

    #define             typesafe_cb_cast3(desttype, ok1, ok2, ok3, expr)

### typesafe_cb()

    #define             typesafe_cb(rtype, atype, fn, arg)

### typesafe_cb_preargs()

    #define             typesafe_cb_preargs(rtype, atype, fn, arg, ...)

### typesafe_cb_postargs()

    #define             typesafe_cb_postargs(rtype, atype, fn, arg, ...)